<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
if (env('APP_ENV') === 'production') {
    URL::forceScheme('https');
}
Auth::routes();
Route::get('/', [ 'uses' => 'PagesController@home']);
Route::get('home', [ 'uses' => 'PagesController@home']);
Route::get('winningbidderlist', [ 'uses' => 'PagesController@winningbidderlist']);
Route::group(['middleware' => 'auth'], function() {
  Route::get('bidders', [ 'uses' => 'PagesController@bidders']);
  Route::post('bidders', [ 'uses' => 'PagesController@bidders']);
  Route::get('bidderlist', [ 'uses' => 'PagesController@bidderlist']);
  Route::post('bidderlist', [ 'uses' => 'PagesController@bidderlist']);
  Route::get('checkout', [ 'uses' => 'PagesController@checkout']);
  Route::post('checkout', [ 'uses' => 'PagesController@checkout']);
  Route::get('checkout_complete_list', [ 'uses' => 'PagesController@checkoutCompleteList' ]);
  Route::get('editwinners', [ 'uses' => 'PagesController@editwinners']);
  Route::post('editwinners', [ 'uses' => 'PagesController@editwinners']);
  Route::get('finaltally', [ 'uses' => 'PagesController@finaltally']);
  Route::get('items', [ 'uses' => 'PagesController@items']);
  Route::post('items', [ 'uses' => 'PagesController@items']);
  Route::get('itemlist', [ 'uses' => 'PagesController@itemlist']);
  Route::post('itemlist', [ 'uses' => 'PagesController@itemlist']);
  Route::get('reprint_receipt', ['uses' => 'PagesController@reprintReceipt']);
  Route::post('reprint_receipt', ['uses' => 'PagesController@reprintReceipt']);
  Route::get('receiptpdf', ['uses' => 'PagesController@receiptpdf'])->name('receiptpdf');
  Route::get('winners', [ 'uses' => 'PagesController@winners']);
  Route::post('winners', [ 'uses' => 'PagesController@winners']);
  Route::get('winnerlist', [ 'uses' => 'PagesController@winnerlist']);
  Route::post('winnerlist', [ 'uses' => 'PagesController@winnerlist']);
  Route::get('winnersbyitem', [ 'uses' => 'PagesController@winnersbyitem']);
  Route::get('winnertotal', [ 'uses' => 'PagesController@winnertotal']);
  Route::post('winnertotal', [ 'uses' => 'PagesController@winnertotal']);
});
